tcscan(1)

NAME
tcscan - scan multimedia streams from medium and print information on the standard output

SYNOPSIS

tcscan
    -i name [ -x codec ] [ -e r[,b[,c]] ] [ -b bitrate ] [ -w num ] [ -f rate ] [ -d verbosity ] [ -v ]

COPYRIGHT
tcscan is Copyright (C) by Thomas Östreich.

DESCRIPTION
tcscan is part of and usually called by transcode.
However, it can also be used independently.
tcscan reads source (from stdin if not explicitely defined) and prints on the standard output.

OPTIONS

-i name
    Specify input source. If ommited, stdin is assumed.
    You can specify a file, directory, device, mountpoint or host address as input source. tcscan usually handles the different types correctly.

-d level
    With this option you can specify a bitmask to enable different levels of verbosity (if supported). You can combine several levels by adding the corresponding values: QUIET 0 INFO 1 DEBUG 2 STATS 4 WATCH 8 FLIST 16 VIDCORE 32 SYNC 64 COUNTER 128 PRIVATE 256

-v  Print version information and exit.

NOTES
tcscan is a front end for scaning various source types and is used in transcode´s import modules. tcscan does a complete scan of the source to gather information.

EXAMPLES
The command tcscan -i foo.avi prints header information about the AVI-file itself and lists details on the video and audio content, e.g., keyframes, chunk structure. The command cat audio.pcm | tcscan -x pcm -e 48000,16,2 simply determines the playtime lenghth of the raw audio stream. The command tcscan -x mp3 -i input.mp3 will print the number of chunks in the MP3 file and the average bitrate.

AUTHORS
tcscan was written by Thomas Östreich
<ostreich@theorie.physik.uni-goettingen.de> with contributions from many others. See AUTHORS for details.

SEE ALSO
avifix(1), avisync(1), avimerge(1), avisplit(1), tcprobe(1), tcscan(1), tccat(1), tcdemux(1), tcextract(1), tcdecode(1), transcode(1)